WSDDFileProvider (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.WSDDFileProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class WSDDFileProvider

    java.lang.Object
      org.apache.axis.configuration.FileProvider
          org.mule.transport.soap.axis.extensions.WSDDFileProvider

All Implemented Interfaces:
  org.apache.axis.EngineConfiguration, org.apache.axis.WSDDEngineConfiguration

    public class WSDDFileProvider

extends org.apache.axis.configuration.FileProvider

Override the File provider to stop exceptions being thrown in Axis if the service does not exist. Mule adds services after the WSDD has been loaded.

Field Summary

Fields inherited from class org.apache.axis.configuration.FileProvider
`log`

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`WSDDFileProvider(String filename)` Constructor which accesses a file in the current directory of the engine or at an absolute path.
`WSDDFileProvider(String basepath, String filename)` Constructor which accesses a file relative to a specific base path.

Method Summary
`org.apache.axis.handlers.soap.SOAPService` | `getService(QName qname)` retrieve an instance of the named service

Methods inherited from class org.apache.axis.configuration.FileProvider
`configureEngine, getDeployedServices, getDeployment, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getRoles, getServiceByNamespaceURI, getTransport, getTypeMappingRegistry, setDeployment, setInputStream, setSearchClasspath, writeEngineConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDFileProvider

    public WSDDFileProvider(String filename)

  Constructor which accesses a file in the current directory of the engine or at an absolute path.

### WSDDFileProvider

    public WSDDFileProvider(String basepath,
                            String filename)
                     throws org.apache.axis.ConfigurationException

  Constructor which accesses a file relative to a specific base path.

  Throws:
    `org.apache.axis.ConfigurationException`

Method Detail

### getService

    public org.apache.axis.handlers.soap.SOAPService getService(QName qname)
                                                         throws org.apache.axis.ConfigurationException

  retrieve an instance of the named service

  Specified by:
    `getService` in interface `org.apache.axis.EngineConfiguration`
  Overrides:
    `getService` in class `org.apache.axis.configuration.FileProvider`
  Parameters:
    `qname` - the name of the service
  Returns:
    the service object or null if it doesn't exist
  Throws:
    `org.apache.axis.ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.